Package net.commoble.jumbofurnace.jumbo_furnace

# Class ExternalItemHandler

java.lang.Object
net.commoble.jumbofurnace.jumbo_furnace.ExternalItemHandler

All Implemented Interfaces:
  `net.neoforged.neoforge.items.IItemHandler`

public class ExternalItemHandler extends Object implements net.neoforged.neoforge.items.IItemHandler

## Constructor Summary

Constructors
Constructor
Description
`ExternalItemHandler()`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.ItemStack`
`extractItem(int slot, int amount, boolean simulate)`
`int`
`getSlotLimit(int slot)`
`int`
`getSlots()`
`net.minecraft.world.item.ItemStack`
`getStackInSlot(int slot)`
`net.minecraft.world.item.ItemStack`
`insertItem(int slot, net.minecraft.world.item.ItemStack stack, boolean simulate)`
`boolean`
`isItemValid(int slot, net.minecraft.world.item.ItemStack stack)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExternalItemHandler

public ExternalItemHandler()

## Method Details

### getSlots

public int getSlots()

Specified by:
  `getSlots` in interface `net.neoforged.neoforge.items.IItemHandler`

### getStackInSlot

public net.minecraft.world.item.ItemStack getStackInSlot(int slot)

Specified by:
  `getStackInSlot` in interface `net.neoforged.neoforge.items.IItemHandler`

### insertItem

public net.minecraft.world.item.ItemStack insertItem(int slot, net.minecraft.world.item.ItemStack stack, boolean simulate)

Specified by:
  `insertItem` in interface `net.neoforged.neoforge.items.IItemHandler`

### extractItem

public net.minecraft.world.item.ItemStack extractItem(int slot, int amount, boolean simulate)

Specified by:
  `extractItem` in interface `net.neoforged.neoforge.items.IItemHandler`

### getSlotLimit

public int getSlotLimit(int slot)

Specified by:
  `getSlotLimit` in interface `net.neoforged.neoforge.items.IItemHandler`

### isItemValid

public boolean isItemValid(int slot, net.minecraft.world.item.ItemStack stack)

Specified by:
  `isItemValid` in interface `net.neoforged.neoforge.items.IItemHandler`